Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509934 - mongodb fails installation because of libboost_chrono
Summary: mongodb fails installation because of libboost_chrono
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Irina Gulina
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: ModularServer27GA F27ServerBetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-11-06 11:36 UTC by Irina Gulina
Modified: 2017-11-20 21:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 21:21:14 UTC


Attachments (Terms of Use)

Description Irina Gulina 2017-11-06 11:36:52 UTC
Description of problem:
Mongodb fails installation on Fedora-Modular-27-20171106.n.0

Actual results:

Problem 1: conflicting requests
  - nothing provides libboost_chrono.so.1.64.0()(64bit) needed by mongodb-3.4.6-3.module_6b216ff8.x86_64n

Problem 2: conflicting requests
 - nothing provides libboost_chrono.so.1.64.0()(64bit) needed by mongodb-server-3.4.6-3.module_6b216ff8.x86_64


[1] https://ci.centos.org/job/fedora-qa-compose-tests/134/artifact/compose-tests/mod_install_results.log
[2] https://ci.centos.org/job/fedora-qa-compose-tests/134/artifact/compose-tests/error.log

Comment 1 Fedora Blocker Bugs Application 2017-11-06 16:14:40 UTC
Proposed as a Freeze Exception for 27-server-beta by Fedora user sgallagh using the blocker tracking app because:

 It's not a blocking package, but it would be good to have this fixed for the Beta release if we can sort out the missing dependencies in time for the RC.

Comment 2 Geoffrey Marr 2017-11-06 19:46:17 UTC
Discussed during the 2017-11-06 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as this bug cannot be fixed with just an update and thus warrants a freeze exception.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-11-06/f27-blocker-review.2017-11-06-17.00.txt

Comment 3 sumantro 2017-11-06 22:05:34 UTC
this is still reproducible , faced the same

Comment 4 Honza Horak 2017-11-07 08:47:31 UTC
I see f26 and master branches in modules/mongodb, which one do you try? I also see both branches still use bootstrap, which might be still ok at this point (actually, is it?)

Actually that might be the problem -- the boost build used for building and the one available during install is not the same one. That said, I think we should rather try to build it on top of platform module, may take time.

Comment 5 Karsten Hopp 2017-11-07 10:20:46 UTC
I can see boost in bootstrap, but not in platform/host or any other module.
As quite a few packages require boost, adding it to the mongodb module does not look like the correct solution to me.

Comment 7 Marek Skalický 2017-11-08 15:13:07 UTC
New builds of boost and mongodb modules (master branches) are done.

I hope it fixed problem. How can I test it ?

Comment 8 Stephen Gallagher 2017-11-13 13:39:39 UTC
@Marek: We'll pull this into the compose soon (hopefully today) so it will be testable in the nightly compose once that's complete.

Comment 9 sumantro 2017-11-14 13:20:20 UTC
I can still reproduce this in Fedora-Modular-Server-dvd-x86_64-27-20171114.n.0

Comment 10 Stephen Gallagher 2017-11-14 13:30:34 UTC
(In reply to sumantro from comment #9)
> I can still reproduce this in
> Fedora-Modular-Server-dvd-x86_64-27-20171114.n.0

Yes, it hasn't been added to a compose yet. I will update this BZ when it is.

Comment 11 Stephen Gallagher 2017-11-15 12:49:27 UTC
Should be fixed in Fedora-Modular-27-20171115.n.0 and later.

Comment 12 sumantro 2017-11-15 19:50:04 UTC
Fix Confirmed. works fine for me.

Comment 13 Irina Gulina 2017-11-16 10:11:25 UTC
>> sudo docker run bikeshed bash -l -c "dnf module install mongodb -y && dnf module list mongodb"

------------------------------- DNF ----------------------------------
Installed Packages
dnf.noarch          2.7.3-1.module_bf3f917d.modularity.5.4edc03e       @anaconda
libdnf.x86_64       0.11.1-1.module_c8380439                           @anaconda
----------------------------------------------------------------------
Image built with (KOJI composes):
		GIT:      	https://github.com/container-images/boltron-27
		Base:     	Fedora-Modular-27-20171115.n.1
Image running aginst (KOJI Composes):
		Base:     	Fedora-Modular-27-20171115.n.1
 ** NOTE: coreutils-single is installed, this will make things fail.
 **       you can fix it by: dnf --allowerasing install coreutils
 **       at which point @freeipa will install.
Fedora Modular Server 27 - x86_64 - Test Update  40 kB/s |  20 kB     00:00    
Fedora Modular Server 27 - x86_64 - Updates      70 kB/s |  20 kB     00:00    
Fedora Modular Server 27 - x86_64                13 MB/s | 4.5 MB     00:00    
Last metadata expiration check: 0:00:00 ago on Thu 16 Nov 2017 09:46:00 AM UTC.

<...>

  pcre-cpp.x86_64 8.41-1.module_8a5444d0.2                                      
  snappy.x86_64 1.1.7-1.module_8a5444d0                                         
  yaml-cpp.x86_64 0.5.3-7.module_998c7544                                       

Complete!
Last metadata expiration check: 0:01:02 ago on Thu 16 Nov 2017 10:03:16 AM UTC.
Fedora Modular Server 27 - x86_64
Name         Stream             Version             Profiles                    
mongodb      master [d][e]      20171108082349      client, default [i], ...    

Hint: [d]efault, [e]nabled, [i]nstalled, [l]ocked


Note You need to log in before you can comment on or make changes to this bug.